RDKit::StructureCheck::Ligand Struct Reference

`#include <StructChecker.h>`

## Public Member Functions

| Ligand ()

## Public Attributes

std::string | AtomSymbol
int | Charge
RadicalType | Radical
unsigned | SubstitutionCount
AABondType | BondType

## Detailed Description

Definition at line 63 of file StructChecker.h.

## Constructor & Destructor Documentation

## Ligand()

RDKit::StructureCheck::Ligand::Ligand | ( |  | ) |

inline

Definition at line 69 of file StructChecker.h.

## Member Data Documentation

## AtomSymbol

std::string RDKit::StructureCheck::Ligand::AtomSymbol

Definition at line 64 of file StructChecker.h.

## BondType

AABondType RDKit::StructureCheck::Ligand::BondType

Definition at line 68 of file StructChecker.h.

## Charge

int RDKit::StructureCheck::Ligand::Charge

Definition at line 65 of file StructChecker.h.

## Radical

RadicalType RDKit::StructureCheck::Ligand::Radical

Definition at line 66 of file StructChecker.h.

## SubstitutionCount

unsigned RDKit::StructureCheck::Ligand::SubstitutionCount

Definition at line 67 of file StructChecker.h.

The documentation for this struct was generated from the following file:

- StructChecker.h